import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
response = client.application_variants.patch(
application_variant_id="application_variant_id",
)
print(response)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.ApplicationVariants.Patch(
context.TODO(),
"application_variant_id",
sgp.ApplicationVariantPatchParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}
curl --request PATCH \
--url https://api.egp.scale.com/v4/application-variants/{application_variant_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"configuration": {
"metadata": {},
"params": "<unknown>",
"raw_configuration": "<string>"
}
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
configuration: {metadata: {}, params: '<unknown>', raw_configuration: '<string>'}
})
};
fetch('https://api.egp.scale.com/v4/application-variants/{application_variant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"configuration": {
"nodes": [
{
"id": "<string>",
"application_node_schema_id": "text_input_schema",
"configuration": {}
}
],
"edges": [
{
"from_node": "<string>",
"to_node": "<string>",
"from_field": "<string>",
"to_field": "<string>"
}
],
"metadata": {}
},
"version": "V0",
"application_spec_id": "<string>",
"draft": true,
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Application Variant
Description
Updates a application variant
Details
This API can be used to update the application variant that matches the ID that was passed in as a path parameter. To use this API, pass in the id that was returned from your Create Application Variant API call as a path parameter.
Review the request schema to see the fields that can be updated.
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
response = client.application_variants.patch(
application_variant_id="application_variant_id",
)
print(response)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.ApplicationVariants.Patch(
context.TODO(),
"application_variant_id",
sgp.ApplicationVariantPatchParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}
Authorizations
Path Parameters
Body
Response
Successful Response
- ApplicationVariantV0Response
- ApplicationVariantAgentsServiceResponse
- OfflineApplicationVariantResponse
Show child attributes
Show child attributes
"V0"Boolean to indicate whether the variant is in draft mode
The ID of the account that owns the given entity.
The date and time when the entity was created in ISO format.
The date and time when the entity was last updated in ISO format.
Optional description of the application variant
The date and time that the variant was published.
The user who originally created the entity.
The type of identity that created the entity.
user, service_account 
